Search documentation of diameter

# View Source diameterc

Compile a diameter dictionary to Erlang source.

## Synopsis

    diameterc [<options>] <file>

## Description

The diameterc utility is used to compile a diameter dictionary file into Erlang source. The resulting source implements the interface diameter required to encode and decode the dictionary's messages and AVPs.

The module `diameter_make` provides an alternate compilation interface.

# USAGE

Compile a single dictionary file to Erlang source. Valid options are as follows.

- -i <dir> - Prepend the specified directory to the code path. Use to point at beam files compiled from inherited dictionaries, `[@inherits](diameter_dict.md#inherits)` in a dictionary file creating a beam dependency, not an erl/hrl dependency.

  Multiple `-i` options can be specified.

- -o <dir> - Write generated source to the specified directory. Defaults to the current working directory.

- -E - Suppress `.erl` file generation.

- -H - Suppress `.hrl` file generation.

- --name <name> - Name the output module.

- --prefix <prefix> - Transform the input dictionary before compilation, setting `[@name](diameter_dict.md#name)` or `[@prefix](diameter_dict.md#prefix)` to the specified string.

- --inherits <arg> - Transform the input dictionary before compilation, appending `[@inherits](diameter_dict.md#inherits)` of the specified string.

  Two forms of `--inherits` have special meaning:

      --inherits -
      --inherits Prev/Mod

  The first has the effect of clearing any previous inherits, the second of replacing a previous inherits of `Prev` to one of `Mod`. This allows the semantics of the input dictionary to be changed without modifying the file itself.

  Multiple `--inherits` options can be specified.

# EXIT STATUS

Returns 0 on success, non-zero on failure.

# SEE ALSO

`diameter_make`, diameter_dict(4)

← Previous Page Standards Compliance
Next Page → diameter_dict